<?php




namespace ln\jobs;

use ln\interfaces\JobInterface;
use think\facade\Log;
use think\queue\Job;
use ln\services\ExcelService;

class SpreadsheetExcelJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(ExcelService::class)->getAll($data);
        }catch (\Exception $e){
            Log::info('导出文件:'.$data['type'].'; error : ' . $e->getMessage());
        }
        $job->delete();
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
